Next Previous Up Contents
Next: Image
Up: Activation Functions
Previous: BasicImageDisplay

### B.2.2 Browsers

Displays URLs in web browsers.

`basicBrowser( url )`
  Displays a URL in a basic HTML viewer. This is only likely to work for HTML, text or RTF data. The browser can follow hyperlinks and has simple forward/back buttons, but lacks the sophistication of a proper WWW browser application.

  - Parameters:
    - `url` (String): location of the document to display
  - Return value
    - (String): short log message
`systemBrowser( url )`
  Attempts to display a URL in the system's default web browser. Exactly what couts as the default web browser is system dependent, as is whether this function will work properly.

  - Parameters:
    - `url` (String): location of the document to display
  - Return value
    - (String): short log message
`mozilla( url )`
  Displays a URL in a Mozilla web browser. Probably only works on Unix-like operating systems, and only if Mozilla is already running.

  - Parameters:
    - `url` (String): location of the document to display
  - Return value
    - (String): short log message
`firefox( url )`
  Displays a URL in a Firefox web browser. Probably only works on Unix-like operating systems, and only if Firefox is already running.

  - Parameters:
    - `url` (String): location of the document to display
  - Return value
    - (String): short log message
`netscape( url )`
  Displays a URL in a Netscape web browser. Probably only works on Unix-like operating systems, and only if Netscape is already running.

  - Parameters:
    - `url` (String): location of the document to display
  - Return value
    - (String): short log message
`mozalike( cmd, url )`
  Displays a URL in a web browser from the Mozilla family; it must support flags of the type "`-remote openURL(`url`)`". Probably only works on Unix-like operating systems, and only if the browser is already running.

  - Parameters:
    - `cmd` (String): name or path of the browser command
    - `url` (String): location of the document to display
  - Return value
    - (String): short log message

Next Previous Up Contents
Next: Image
Up: Activation Functions
Previous: BasicImageDisplay

TOPCAT - Tool for OPerations on Catalogues And Tables
Starlink User Note253
TOPCAT web page: http://www.starlink.ac.uk/topcat/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk